package Common.Database.Objects.Splitter;
import Common.CommonConstants;
import Common.Database.Objects.DBObject;
import com.sun.org.glassfish.gmbal.Description;

import javax.swing.*;
public class Splitter extends DBObject {
    @Description("PRIMARY KEY, UNIQUE")
    public String name = "";
    @Description("DEFAULT -1")
    public int position = CommonConstants.Nan;
    public Splitter() {
    }
    public Splitter(JSplitPane splitPane) {
        name = splitPane.getName();
        position = splitPane.getDividerLocation();
    }
    @Override
    public Object getPK() {
        return name;
    }
}
